/**************************************************************************/
/*                                                                        */
/* Copyright (c) 2011, 2019 NoMachine, http://www.nomachine.com/.         */
/*                                                                        */
/* NXAUDIO, NX protocol compression and extensions to this software       */
/* are copyright of NoMachine. Redistribution and use of the present      */
/* software is allowed according to terms specified in the file LICENSE   */
/* which comes in the source distribution.                                */
/*                                                                        */
/* Check http://www.nomachine.com/licensing.html for applicability.       */
/*                                                                        */
/* NX and NoMachine are trademarks of Medialogic S.p.A.                   */
/*                                                                        */
/* All rights reserved.                                                   */
/*                                                                        */
/**************************************************************************/

#ifndef Debug_H
#define Debug_H

#undef DEBUG

//
// Macros for error catching.
//

#define FAIL(CONDITION) if((CONDITION)) goto fail

#define NTFAIL(FUN) if((ntStatus = (FUN)) != STATUS_SUCCESS) goto fail

//
// Macro for debug messages.
//

#ifdef DEBUG
  #define DBG_MSG(FMT, ...) DbgPrintEx(DPFLTR_IHVDRIVER_ID, DPFLTR_INFO_LEVEL, FMT, __VA_ARGS__)
#else
  #define DBG_MSG(FMT, ...) 
#endif

#endif
