/**************************************************************************/
/*                                                                        */
/* Copyright (c) 2011, 2019 NoMachine, http://www.nomachine.com/.         */
/*                                                                        */
/* NXAUDIO, NX protocol compression and extensions to this software       */
/* are copyright of NoMachine. Redistribution and use of the present      */
/* software is allowed according to terms specified in the file LICENSE   */
/* which comes in the source distribution.                                */
/*                                                                        */
/* Check http://www.nomachine.com/licensing.html for applicability.       */
/*                                                                        */
/* NX and NoMachine are trademarks of Medialogic S.p.A.                   */
/*                                                                        */
/* All rights reserved.                                                   */
/*                                                                        */
/**************************************************************************/

#ifndef Init_H
#define Init_H

#include <stdunk.h>
#include <portcls.h>
#include <ksdebug.h>

#include "Topology.h"
#include "MiniPort.h"
#include "Topology.h"
#include "Debug.h"
#include "AudioAdapter.h"

#define MAX_MINIPORTS 3

#ifdef __cplusplus
extern "C" {
#endif

DRIVER_ADD_DEVICE AddDevice;

DRIVER_INITIALIZE DriverEntry;

NTSTATUS DriverEntry(PDRIVER_OBJECT driver, PUNICODE_STRING registry);

NTSTATUS AddDevice(PDRIVER_OBJECT driver, PDEVICE_OBJECT device);

NTSTATUS StartDevice(PDEVICE_OBJECT device, PIRP irp, PRESOURCELIST resource);

NTSTATUS InstallSubdevice(PDEVICE_OBJECT device, PIRP irp, PWSTR name, 
                              REFGUID portClassId, REFGUID miniportClassId,
                                  PFNCREATEINSTANCE miniportCreate,
                                      PUNKNOWN adapter, PRESOURCELIST resource,
                                          REFGUID portInterfaceId,
                                              PUNKNOWN *outPortInterface,
                                                  PUNKNOWN *outPortUnknown);

#ifdef __cplusplus
}
#endif

#endif
