#!/bin/bash
set -x
set -e
WINDDK="/cygdrive/c/Program Files (x86)/Windows Kits/10/bin/10.0.16299.0/x86/"
INF2CAT="${WINDDK}/Inf2Cat.exe"
SIGNTOOL="${WINDDK}/signtool.exe"
SIGN_NAME="NoMachine S.a.r.l."
CER_PATH="C:\CodeSigning\VeriSign Class 3 Public Primary Certification Authority - G5.cer"
TS_APP="http://timestamp.comodoca.com/authenticode"

cd i386
"$INF2CAT" /driver:. /os:2000,XP_X86,Server2003_X86
cd ../amd64
"$INF2CAT" /driver:. /os:XP_X64,Server2003_X64
cd ../ia64
"$INF2CAT" /driver:. /os:Server2003_IA64

cd ..

"$SIGNTOOL" sign /v /ac "${CER_PATH}" /s my /n "${SIGN_NAME}" /tr "${TS_APP}" \
	    /sha1 "F7D3FE776D6E598769483691C0DBF16B17E21068" /as /fd sha1 /td sha1 \
            i386/nxaudio.cat \
            i386/nxaudio.sys \
            amd64/nxaudio.cat \
            amd64/nxaudio.sys \
            ia64/nxaudio.cat \
            ia64/nxaudio.sys 

